include	clib.inc
include	string.inc

	public	addext

_TEXT	SEGMENT

addext	proc dist 	; AX: offset file name
	push ss		; DX: offset .ext
	push ax
	push ss
	push dx
	invoke strext, ss::ax
	.if ax
	    xchg bx,ax
	    mov BYTE PTR [bx],0
	    mov bx,ax
	.endif
	call strcat
	ret
addext	endp

_TEXT	ENDS

	END
